"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-x86_64-cpython-310/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x7f12cba04ee0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x7f12cba04f70>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7f12cba05000>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7f12cba05090>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x7f12cba05120>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x7f12cba051b0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7f12cba05240>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f12cba052d0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f12cba05360>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f12cba053f0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x7f12cba05480>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x7f12cba05510>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x7f12cba055a0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x7f12cba05630>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x7f12cba056c0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x7f12cba05750>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x7f12cba057e0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x7f12cba05870>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x7f12cba05900>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x7f12cba05990>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x7f12cba05a20>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x7f12cba05ab0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x7f12cba05b40>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x7f12cba05bd0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x7f12cba05cf0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x7f12cba05c60>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x7f12cba05d80>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x7f12cba05e10>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x7f12cba05ea0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x7f12cba05f30>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x7f12cba05fc0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x7f12cba06050>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x7f12cba060e0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x7f12cba06170>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x7f12cba06200>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x7f12cba06290>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x7f12cba06320>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x7f12cba063b0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f12cba06440>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f12cba064d0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f12cba06560>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x7f12cba065f0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x7f12cba06680>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x7f12cba06710>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x7f12cba067a0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x7f12cba06830>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x7f12cba068c0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7f12cba06950>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7f12cba069e0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x7f12cba06a70>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x7f12cba06b00>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x7f12cba06b90>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f12cba06c20>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x7f12cba06cb0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x7f12cba06d40>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f12cba06dd0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f12cba06e60>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7f12cba06ef0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x7f12cba06f80>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x7f12cba07010>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x7f12cba070a0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x7f12cba07130>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x7f12cba071c0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f12cba07250>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x7f12cba072e0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x7f12cba07490>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x7f12cba07370>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x7f12cba07520>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x7f12cba075b0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7f12cba07640>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x7f12cba076d0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x7f12cba07760>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7f12cba07880>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x7f12cba077f0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x7f12cba07910>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x7f12cba079a0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x7f12cba07a30>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x7f12cba07b50>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x7f12cba07ac0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x7f12cba07be0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x7f12cba07c70>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x7f12cba07d00>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x7f12cba07d90>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x7f12cba07e20>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x7f12cba07eb0>)]
name: str = 'fr_HOCCN'
